xploshioOn xploshioOn - 5 months ago 22
Linux Question

libpulse.so.0: cannot open shared object file: No such file or directory

I am getting this error when trying to install a server.
libpulse.so.0: cannot open shared object file: No such file or directory

I run an ldd and there is the libpulse.so.0 but the script don't work with that

root@mas:~/Velneo-vServer# sudo sh ./vServer.sh -i
./vServer: error while loading shared libraries: libpulse.so.0: cannot open shared object file: No such file or directory
root@mas:~/Velneo-vServer# ldd `which pulseaudio`
linux-vdso.so.1 => (0x00007ffe903d8000)
libpulsecore-4.0.so => /usr/lib/libpulsecore-4.0.so (0x00007f2304ae1000)
libpulsecommon-4.0.so => /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so (0x00007f230487a000)
libpulse.so.0 => /usr/lib/x86_64-linux-gnu/libpulse.so.0 (0x00007f2304630000)
libltdl.so.7 => /usr/lib/x86_64-linux-gnu/libltdl.so.7 (0x00007f2304426000)
libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f23041e1000)
libcap.so.2 => /lib/x86_64-linux-gnu/libcap.so.2 (0x00007f2303fdb000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f2303dbd000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f2303bb5000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f23039b0000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f23036aa000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f23032e5000)
libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f23030e2000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f2302dad000)
libsamplerate.so.0 => /usr/lib/x86_64-linux-gnu/libsamplerate.so.0 (0x00007f2302a41000)
libspeexdsp.so.1 => /usr/lib/x86_64-linux-gnu/libspeexdsp.so.1 (0x00007f230282d000)
libsndfile.so.1 => /usr/lib/x86_64-linux-gnu/libsndfile.so.1 (0x00007f23025c5000)
liborc-0.4.so.0 => /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0 (0x00007f2302343000)
libtdb.so.1 => /usr/lib/x86_64-linux-gnu/libtdb.so.1 (0x00007f2302130000)
/lib64/ld-linux-x86-64.so.2 (0x00007f2304d7b000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f2301f11000)
libwrap.so.0 => /lib/x86_64-linux-gnu/libwrap.so.0 (0x00007f2301d07000)
libasyncns.so.0 => /usr/lib/x86_64-linux-gnu/libasyncns.so.0 (0x00007f2301b00000)
libjson-c.so.2 => /lib/x86_64-linux-gnu/libjson-c.so.2 (0x00007f23018f5000)
libFLAC.so.8 => /usr/lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007f23016c3000)
libvorbisenc.so.2 => /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007f23011f4000)
libvorbis.so.0 => /usr/lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007f2300fc7000)
libogg.so.0 => /usr/lib/x86_64-linux-gnu/libogg.so.0 (0x00007f2300dbd000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f2300bb9000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f23009b3000)
libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f2300798000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f230057d000)
root@mas:~/Velneo-vServer#


I installed lib32z1 lib32ncurses5 lib32bz2-1.0 but still have the message, as you can see,
the libpulse.so.0 is there, but in another folder, I created a symlink but gives me another error,
any idea of how can I solve this

the output of ldd ./vServer

root@mas:~/Velneo-vServer# ldd ./vServer
linux-gate.so.1 => (0xb778c000)
libVCLServer.so.7 (0xb7733000)
libVCLRun.so.7 (0xb7666000)
libVCLBasica.so.7 (0xb722e000)
libQt5Core.so.5 (0xb6ce6000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb6bf5000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb6bd8000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb6a28000)
libQt5Network.so.5 (0xb68c0000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb68a4000)
libQt5Gui.so.5 (0xb62f4000)
libQt5Svg.so.5 (0xb629d000)
libQt5PrintSupport.so.5 (0xb6231000)
libQt5Widgets.so.5 (0xb5bb2000)
libQt5Multimedia.so.5 (0xb5ad4000)
libQt5Sql.so.5 (0xb5a93000)
libQt5Script.so.5 (0xb583f000)
libQt5ScriptTools.so.5 (0xb578a000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb5744000)
libicui18n.so.53 => /root/Velneo-vServer/libicui18n.so.53 (0xb54ed000)
libicuuc.so.53 => /root/Velneo-vServer/libicuuc.so.53 (0xb536e000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb5368000)
libgthread-2.0.so.0 => /usr/lib/i386-linux-gnu/libgthread-2.0.so.0 (0xb5365000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb535c000)
libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xb5250000)
/lib/ld-linux.so.2 (0xb778d000)
libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0xb51f0000)
libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xb519d000)
libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xb5069000)
libpulse.so.0 => not found
libicudata.so.53 => /root/Velneo-vServer/libicudata.so.53 (0xb3be0000)
libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xb3ba1000)
libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0xb3b89000)
libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xb3b76000)
libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xb3b72000)
libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xb3b6c000)
libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0xb3b68000)
libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0xb3b50000)
libxcb-dri2.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri2.so.0 (0xb3b4a000)
libxcb-dri3.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri3.so.0 (0xb3b46000)
libxcb-present.so.0 => /usr/lib/i386-linux-gnu/libxcb-present.so.0 (0xb3b42000)
libxcb-sync.so.1 => /usr/lib/i386-linux-gnu/libxcb-sync.so.1 (0xb3b3a000)
libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xb3b18000)
libxshmfence.so.1 => /usr/lib/i386-linux-gnu/libxshmfence.so.1 (0xb3b15000)
libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xb3b0f000)
libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0xb3b00000)
libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xb3af8000)
libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xb3af4000)
libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xb3aed000)

Answer

You have the 64bit libpulse0, while the program you're trying to run is 32bit.

On 64bit Ubuntu you can install 32bit libraries by adding :i386 to the package name:

apt-get install libpulse0:i386